VulGerrity 1 ian., 2013 @ 7:04pm
Get RCT3 to run on Mac OS 10.6.8?
I recently bought RCT3 but when I click play it says that it can't run on my machine, that it needs OS 10.7.5 or higher.

I really don't want to update to Lion at all, I think Lion stinks. Is there anyway I can get it to run on Snow Leopard?
Afişate 1-3 din 3 de comentarii
< >
[BA] Carlos Danger 1 ian., 2013 @ 7:39pm 
DNo updateno game
exp:/13 - Phil Mc Filou - 9 iun., 2013 @ 2:11am 
me too
sudo 9 iun., 2013 @ 10:29am 
I also want it on Snow Leopard, but you should have read the system requirements before you bought it.
Afişate 1-3 din 3 de comentarii
< >
Per pagină: 15 30 50
Data publicării: 1 ian., 2013 @ 7:04pm
Mesaje: 3